Subject: [alpine-devel] [PATCH] extra/iptraf: new aport

From: Leonardo Arena <[email-masked]>
Date: Fri, 20 Feb 2009 11:00:58 +0100

please see attached patch
leo
From bc60a72ac86c0f4273b17b90205334b9e1a0c445 Mon Sep 17 00:00:00 2001
From: Leonardo Arena <[email-masked]>
Date: Fri, 20 Feb 2009 09:59:41 +0000
Subject: [PATCH] extra/iptraf: new aport

---
 extra/iptraf/APKBUILD |   37 +++++++++++++++++++++++++++++++++++++
 1 files changed, 37 insertions(+), 0 deletions(-)
 create mode 100644 extra/iptraf/APKBUILD

diff --git a/extra/iptraf/APKBUILD b/extra/iptraf/APKBUILD
new file mode 100644
index 0000000..95e9de3
--- /dev/null
+++ b/extra/iptraf/APKBUILD
@@ -0,0 +1,37 @@
+# Contributor: Leonardo Arena <[email-masked]>
+# Maintainer: Leonardo Arena <[email-masked]>
+pkgname=iptraf
+pkgver=3.0.0
+pkgrel=0
+pkgdesc="IP Network Monitoring Software"
+url="http://iptraf.seoul.org"
+license="GPL"
+depends="uclibc ncurses"
+makedepends="ncurses-dev"
+install=
+subpackages="$pkgname-doc"
+source="ftp://iptraf.seul.org/pub/$pkgname/$pkgname-$pkgver.tar.gz"
+
+build() {
+	cd "$srcdir/$pkgname-$pkgver/src"
+
+	sed -i -e s:/var/local/iptraf:/var/lib/iptraf: \
+		-e s:/usr/local/bin:/usr/sbin: dirs.h
+        make CFLAGS="$CFLAGS" DEBUG="" TARGET="/usr/sbin" \
+		WORKDIR="/var/lib/iptraf" || return 1
+
+	for sbin in iptraf rvnamed; do
+		/bin/install -D -m755 $sbin $pkgdir/usr/sbin/$sbin
+	done
+
+        cd ../Documentation
+	for man in *.8; do
+		/bin/install -D -m644 $man $pkgdir/usr/share/man/man8/$man
+	done
+	
+	for dir in lib log run; do
+		/bin/mkdir -p $pkgdir/var/$dir/iptraf
+	done
+}
+
+md5sums="377371c28ee3c21a76f7024920649ea8  iptraf-3.0.0.tar.gz"
-- 
1.6.1.3

---

From: Natanael Copa <[email-masked]>
Date: Fri, 20 Feb 2009 13:13:24 +0100

> please see attached patch

beautiful!

applied. thanks!

-nc

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---